# frozen_string_literal: true
module HyraxHelper
  include ::BlacklightHelper
  include Hyrax::BlacklightOverride
  include Hyrax::HyraxHelperBehavior

  def child_work_type_label(presenter)
    if presenter.work_type.present?
      case presenter.work_type[0]
      when 'experiment'
        'subject'
      when 'subject'
        'session'
      when 'session'
        'modality'
      else
        nil
      end
    else
      'experiment'
    end
  end
end
